Name:           python-resourcecode
Version:        1.3.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The ResourceCODE Marine Data Toolbox is a python package to facilitate the access to recent hindcast database of sea-state , along with a set of state-of-the-art methods for data analysis.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Resourcecode-project/py-resourcecode
Source:         %{pypi_source resourcecode}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'resourcecode' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-resourcecode
Summary:        %{summary}

%description -n python3-resourcecode %_description


%prep
%autosetup -p1 -n resourcecode-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-resourcecode -f %{pyproject_files}


%changelog
%autochangelog